% APRENDIZAJE AUTOMÁTICO (G. Pajares y J. M. de la Cruz, Eds.)
% Editorial: RA-MA
% Capítulo 5: Máquinas de Vectores Soporte
% Autores: Jesús Antonio Vega Sánchez y Sebastián Dormido Canto

function calculawavelet

%Obtiene indice de imagen
actual=get(findobj('Tag','ListBoxDatos'),'value');
lista=get(findobj('Tag','ListBoxDatos'),'userdata');

%Obtiene Wavelet de la imagen actual
imagen=lista(actual,:);
imagen=reshape(imagen,576,385);
w2=wav2(imagen);

if not(isempty(w2))
   %Muestra Wavelet de la Imagen Actual
   imagesc(w2);
  	[fila col]=size(w2);
   axis off;
   set(findobj('Tag','StaticTextDim'),'String',[num2str(fila),'x',num2str(col)]);
   
   %Habilita Generar
	set(findobj('Tag','PushButtonGenera'),'Enable','on');

else
   %Deshabilita Generar
	set(findobj('Tag','PushButtonGenera'),'Enable','off');

end;


